import { AnySourceData, FillPaint } from 'mapbox-gl';
import { Circle } from './GeogeometryCircle';
import { Polygon } from './GeogeometryPolygon';
export interface GeogeometryInput {
    id: string;
    fillColor?: string;
    outlineColor?: string;
    opacity?: number;
    antialias?: boolean;
}
export declare class Geogeometry {
    id: string;
    fillColor: string;
    outlineColor?: string;
    opacity?: number;
    antialias?: boolean;
    static getGeoJSON: () => AnySourceData;
    static center: [number, number];
    constructor(input: GeogeometryInput);
    updateOptions(input: Partial<GeogeometryInput>): void;
    getPaint(): FillPaint;
}
export declare type GeogeometryType = Circle | Polygon;
//# sourceMappingURL=Geogeomerty.d.ts.map